Subject: Re: draft-ietf-mpls-rsvp-unnum-01

From: "Francis Arts" <[email-masked]>
Date: Wed, 14 Mar 2001 07:05:00 +0100

Hi Kireeti,

> What would it mean for an unnum object <R, I> to be loose?  R is the router 
> ID, and I the interface index.

Please find included my reply.

Kind regards,

    Francis.

----------------------

Next the following reference figure is used:

* Rprior -- (R, L) -- Rnext is part of the explicit route specified in the ERO object.
* (R, L) is a subobject of the ERO with L an unnumbered interface.
* Rprior is the abstract node preceding (R, L) in the ERO object.
* Rnext is the abstract node succeeding (R, L) in the ERO object.

1) Meaning of unnum object <R, L> to be loose.
 
A 'loose unnum object <R, L>' would mean that the LSP can pass intermediate nodes between Rprior and R. This would be in line with the meaning of the L bit as defined in the <draft-ietf-mpls-rsvp-lsp-tunnel> draft:
* Section 4.3.3.1 of <draft-ietf-mpls-rsvp-lsp-tunnel> states that there can be additional nodes between a loose node and the prior abstract  in the EROnode (no reference is made to the succeeding abstract node in the ERO).

2) 

If my understanding is correct, you propose not to allow intermediate nodes between R and Rnext in the ERO. If this is indeed the case, I propose to add an explicit statement:
"In an ERO an 'unnumbered interface id' subobject cannot be followed by a loose abstract node."

Questions
========

1) Check in downstream node.
 
Section 6.2 of your draft <draft-ietf-mpls-rsvp-unnum> proposes to do a check on the 'unnumbered interface id' subobject in the receiving node.
 
Is this check done to ensure that the receiving node is 'part' of the first subobject in the ERO as described in <draft-ietf-mpls-rsvp-unnum>, so that the receiving node accepts the ERO?

2) Contents of 'unnumbered interface id' subobject.

I have the following consideration:
* Consider an ERO consisting of a series of strict and loose subobjects identified by a full 32 bit IP address (no shorter prefixes). This series of  IP addresses identifies a set of interfaces via which the LSP has to pass. According to my understanding an IP address in this series identifies not only the node to pass but also the interface via which the LSP should enter the node (not leave the node).

Following this approach, should we then use in the 'unnumbered interface id' subobject a reference to the incoming interface, rather than a reference to the outgoing interface?

---------------------

Kireeti Kompella wrote:
Hi Francis,

> The text of section 6 states that "the unnumbered interface ID subobject
> MUST be strict".
> 
> I have the following question: Is the restriction still needed for the
> unnumbered interface ID objects to be strict? Or could they also be made
> into loose nodes of the explicit route?

What would it mean for an unnum object <R, I> to be loose?  R is the
router ID, and I the interface index.

Kireeti.